Bug 1118996 - Evolution crash when trying to customize the view and column for mail
Summary: Evolution crash when trying to customize the view and column for mail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: evolution
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 23:12 UTC by M. Scherer
Modified: 2015-03-05 06:37 UTC (History)
5 users (show)

Fixed In Version: evolution-3.8.5-26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 06:37:28 UTC


Attachments (Terms of Use)
evo patch (761 bytes, patch)
2014-07-14 12:54 UTC, Milan Crha
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0305 normal SHIPPED_LIVE evolution bug fix update 2015-03-05 11:36:15 UTC

Description M. Scherer 2014-07-12 23:12:07 UTC
Description of problem:

evolution crash when trying to 

Version-Release number of selected component (if applicable):
evolution-3.8.5-22.el7_0.1.x86_64

How reproducible:
Each time

Steps to Reproduce:
1. Go to View => Current View => define view
2. New => give any name, and table ( there isn't much choice )
3. Click on "Fields shown"

Actual results:
crash


Expected results:
do not crash

Additional info:

this is displayed on crash :

*** Error in `/usr/bin/evolution': corrupted double-linked list: 0x0000000001781760 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x7bfc7)[0x7fffee1c8fc7]
/lib64/libc.so.6(+0x7f4f5)[0x7fffee1cc4f5]
/lib64/libc.so.6(__libc_calloc+0xaa)[0x7fffee1cdf0a]
/lib64/libfontconfig.so.1(+0x1c74a)[0x7fffe8caa74a]
/lib64/libfontconfig.so.1(FcPatternBuild+0x145)[0x7fffe8cab565]
/lib64/libpangoft2-1.0.so.0(+0xa7d7)[0x7fffe8ed47d7]
/usr/lib64/gtk-3.0/modules/libpk-gtk-module.so(+0x19c3)[0x7fffd93c89c3]
/lib64/libpangoft2-1.0.so.0(+0x92fd)[0x7fffe8ed32fd]
/lib64/libpangocairo-1.0.so.0(+0x574f)[0x7fffef78074f]
/lib64/libpangocairo-1.0.so.0(+0x6408)[0x7fffef781408]
/lib64/libpangoft2-1.0.so.0(+0xeeb4)[0x7fffe8ed8eb4]
/lib64/libharfbuzz.so.0(+0x2cf98)[0x7fffeb2b9f98]
/lib64/libharfbuzz.so.0(hb_shape_plan_execute+0x192)[0x7fffeb29f202]
/lib64/libharfbuzz.so.0(hb_shape_full+0x61)[0x7fffeb29e841]
/lib64/libpangoft2-1.0.so.0(+0xf31c)[0x7fffe8ed931c]
/lib64/libpango-1.0.so.0(pango_shape_full+0xbb)[0x7fffef12f0db]
/lib64/libpango-1.0.so.0(+0xd266)[0x7fffef112266]
/lib64/libpango-1.0.so.0(+0xd57c)[0x7fffef11257c]
/lib64/libpango-1.0.so.0(+0x206e2)[0x7fffef1256e2]
/lib64/libpango-1.0.so.0(+0x220f8)[0x7fffef1270f8]
/lib64/libpango-1.0.so.0(pango_layout_get_pixel_extents+0x66)[0x7fffef127526]
/lib64/libpango-1.0.so.0(pango_layout_get_pixel_size+0x26)[0x7fffef127566]
/usr/lib64/evolution/3.8/libeutil.so(+0x95a84)[0x7ffff7850a84]
/usr/lib64/evolution/3.8/libeutil.so(+0x116f14)[0x7ffff78d1f14]
/usr/lib64/evolution/3.8/libeutil.so(+0x116fd2)[0x7ffff78d1fd2]
/usr/lib64/evolution/3.8/libeutil.so(+0x117a67)[0x7ffff78d2a67]
/usr/lib64/evolution/3.8/libeutil.so(+0x88e08)[0x7ffff7843e08]
/usr/lib64/evolution/3.8/libeutil.so(+0x88e6b)[0x7ffff7843e6b]
/usr/lib64/evolution/3.8/libeutil.so(+0x88e6b)[0x7ffff7843e6b]
/usr/lib64/evolution/3.8/libeutil.so(+0x88e6b)[0x7ffff7843e6b]
/usr/lib64/evolution/3.8/libeutil.so(+0x8929d)[0x7ffff784429d]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x166)[0x7fffee556ac6]
/lib64/libglib-2.0.so.0(+0x48e48)[0x7fffee556e48]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x6a)[0x7fffee55725a]
/lib64/libgtk-3.so.0(gtk_dialog_run+0x180)[0x7ffff09b8490]
/usr/lib64/evolution/3.8/libeutil.so(+0x104a44)[0x7ffff78bfa44]
/lib64/libgobject-2.0.so.0(+0xfd27)[0x7fffee846d27]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x47d)[0x7fffee85f58d]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x8f)[0x7fffee86023f]
/lib64/libgtk-3.so.0(+0xc4248)[0x7ffff095d248]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x138)[0x7fffee846af8]
/lib64/libgobject-2.0.so.0(+0x209d7)[0x7fffee8579d7]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0xe7a)[0x7fffee85ff8a]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x8f)[0x7fffee86023f]
/lib64/libgtk-3.so.0(+0xc2d51)[0x7ffff095bd51]
/lib64/libgtk-3.so.0(+0x19405e)[0x7ffff0a2d05e]
/lib64/libgobject-2.0.so.0(+0xfc9f)[0x7fffee846c9f]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x47d)[0x7fffee85f58d]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x8f)[0x7fffee86023f]
/lib64/libgtk-3.so.0(+0x2bd24c)[0x7ffff0b5624c]
/lib64/libgtk-3.so.0(+0x1922fc)[0x7ffff0a2b2fc]
/lib64/libgtk-3.so.0(gtk_main_do_event+0x485)[0x7ffff0a2cc35]
/lib64/libgdk-3.so.0(+0x4cf32)[0x7fffefbf7f32]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x166)[0x7fffee556ac6]
/lib64/libglib-2.0.so.0(+0x48e48)[0x7fffee556e48]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x6a)[0x7fffee55725a]
/lib64/libgtk-3.so.0(gtk_dialog_run+0x180)[0x7ffff09b8490]
/usr/lib64/evolution/3.8/libeshell.so(+0x299fc)[0x7ffff7bcc9fc]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x138)[0x7fffee846af8]
/lib64/libgobject-2.0.so.0(+0x211ad)[0x7fffee8581ad]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0xe7a)[0x7fffee85ff8a]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x8f)[0x7fffee86023f]
/lib64/libgtk-3.so.0(+0x9c200)[0x7ffff0935200]
======= Memory map: ========
00400000-00407000 r-xp 00000000 fd:01 70913685                           /usr/bin/evolution
00606000-00607000 r--p 00006000 fd:01 70913685                           /usr/bin/evolution
00607000-00608000 rw-p 00007000 fd:01 70913685                           /usr/bin/evolution
00608000-0186f000 rw-p 00000000 00:00 0                                  [heap]
7fff4e574000-7fff4e57c000 r-xp 00000000 fd:01 102631511                  /usr/lib64/libnss_sss.so.2
7fff4e57c000-7fff4e77b000 ---p 00008000 fd:01 102631511                  /usr/lib64/libnss_sss.so.2
7fff4e77b000-7fff4e77c000 r--p 00007000 fd:01 102631511                  /usr/lib64/libnss_sss.so.2
7fff4e77c000-7fff4e77d000 rw-p 00008000 fd:01 102631511                  /usr/lib64/libnss_sss.so.2
7fff4e77d000-7fff4e786000 r-xp 00000000 fd:01 102985388                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-templates.so
7fff4e786000-7fff4e986000 ---p 00009000 fd:01 102985388                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-templates.so
7fff4e986000-7fff4e987000 r--p 00009000 fd:01 102985388                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-templates.so
7fff4e987000-7fff4e988000 rw-p 0000a000 fd:01 102985388                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-templates.so
7fff4e988000-7fff4e9e2000 r-xp 00000000 fd:01 102154906                  /usr/lib64/libibus-1.0.so.5.0.503
7fff4e9e2000-7fff4ebe1000 ---p 0005a000 fd:01 102154906                  /usr/lib64/libibus-1.0.so.5.0.503
7fff4ebe1000-7fff4ebe3000 r--p 00059000 fd:01 102154906                  /usr/lib64/libibus-1.0.so.5.0.503
7fff4ebe3000-7fff4ebe4000 rw-p 0005b000 fd:01 102154906                  /usr/lib64/libibus-1.0.so.5.0.503
7fff4ebe4000-7fff4ebe5000 rw-p 00000000 00:00 0 
7fff4ebe5000-7fff4ebeb000 r-xp 00000000 fd:01 1534452                    /usr/lib64/gtk-3.0/3.0.0/immodules/im-ibus.so
7fff4ebeb000-7fff4edeb000 ---p 00006000 fd:01 1534452                    /usr/lib64/gtk-3.0/3.0.0/immodules/im-ibus.so
7fff4edeb000-7fff4edec000 r--p 00006000 fd:01 1534452                    /usr/lib64/gtk-3.0/3.0.0/immodules/im-ibus.so
7fff4edec000-7fff4eded000 rw-p 00007000 fd:01 1534452                    /usr/lib64/gtk-3.0/3.0.0/immodules/im-ibus.so
7fff4eded000-7fff4edf1000 r-xp 00000000 fd:01 102985383                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-mailing-list-actions.so
7fff4edf1000-7fff4eff0000 ---p 00004000 fd:01 102985383                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-mailing-list-actions.so
7fff4eff0000-7fff4eff1000 r--p 00003000 fd:01 102985383                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-mailing-list-actions.so
7fff4eff1000-7fff4eff2000 rw-p 00004000 fd:01 102985383                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-mailing-list-actions.so
7fff4eff2000-7fff4eff7000 r-xp 00000000 fd:01 102985384                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-mark-all-read.so
7fff4eff7000-7fff4f1f6000 ---p 00005000 fd:01 102985384                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-mark-all-read.so
7fff4f1f6000-7fff4f1f7000 r--p 00004000 fd:01 102985384                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-mark-all-read.so
7fff4f1f7000-7fff4f1f8000 rw-p 00005000 fd:01 102985384                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-mark-all-read.so
7fff4f1f8000-7fff4f201000 r-xp 00000000 fd:01 102985382                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-mail-to-task.so
7fff4f201000-7fff4f400000 ---p 00009000 fd:01 102985382                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-mail-to-task.so
7fff4f400000-7fff4f401000 r--p 00008000 fd:01 102985382                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-mail-to-task.so
7fff4f401000-7fff4f402000 rw-p 00009000 fd:01 102985382                  /usr/lib64/evolution/3.8/plugins/liborg-gnome-mail-to-task.so
7fff4f402000-7fff4f408000 r-xp 00000000 fd:01 102836570                  /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so
7fff4f408000-7fff4f607000 ---p 00006000 fd:01 102836570                  /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so
7fff4f607000-7fff4f608000 r--p 00005000 fd:01 102836570                  /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so
7fff4f608000-7fff4f609000 rw-p 00006000 fd:01 102836570                  /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so
7fff4f609000-7fff4f9bc000 r-xp 00000000 fd:01 101176859                  /usr/lib64/libmozjs-17.0.so
7fff4f9bc000-7fff4fbbb000 ---p 003b3000 fd:01 101176859                  /usr/lib64/libmozjs-17.0.so
7fff4fbbb000-7fff4fbc0000 r--p 003b2000 fd:01 101176859                  /usr/lib64/libmozjs-17.0.so
7fff4fbc0000-7fff4fbd2000 rw-p 003b7000 fd:01 101176859                  /usr/lib64/libmozjs-17.0.so
7fff4fbd2000-7fff4fbf2000 rw-p 00000000 00:00 0 
7fff4fbf2000-7fff4fbf7000 r-xp 00000000 fd:01 70015671                   /usr/lib64/libproxy/0.4.11/modules/pacrunner_mozjs.so
7fff4fbf7000-7fff4fdf6000 ---p 00005000 fd:01 70015671                   /usr/lib64/libproxy/0.4.11/modules/pacrunner_mozjs.so
7fff4fdf6000-7fff4fdf7000 r--p 00004000 fd:01 70015671                   /usr/lib64/libproxy/0.4.11/modules/pacrunner_mozjs.so
7fff4fdf7000-7fff4fdf8000 rw-p 00005000 fd:01 70015671                   /usr/lib64/libproxy/0.4.11/modules/pacrunner_mozjs.so
7fff4fdf8000-7fff4fdff000 r-xp 00000000 fd:01 101559298                  /usr/lib64/libmodman.so.1.0.0
7fff4fdff000-7fff4fffe000 ---p 00007000 fd:01 101559298                  /usr/lib64/libmodman.so.1.0.0
7fff4fffe000-7fff4ffff000 r--p 00006000 fd:01 101559298                  /usr/lib64/libmodman.so.1.0.0
7fff4ffff000-7fff50000000 rw-p 00007000 fd:01 101559298                  /usr/lib64/libmodman.so.1.0.0
7fff50000000-7fff50021000 rw-p 00000000 00:00 0 
7fff50021000-7fff54000000 ---p 00000000 00:00 0 
7fff540f0000-7fff54101000 r--p 00000000 fd:01 33886315                   /usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf
7fff54101000-7fff54121000 r-xp 00000000 fd:01 101559303                  /usr/lib64/libproxy.so.1.0.0
7fff54121000-7fff54320000 ---p 00020000 fd:01 101559303                  /usr/lib64/libproxy.so.1.0.0
7fff54320000-7fff54321000 r--p 0001f000 fd:01 101559303                  /usr/lib64/libproxy.so.1.0.0
7fff54321000-7fff54322000 rw-p 00020000 fd:01 101559303                  /usr/lib64/libproxy.so.1.0.0
7fff54322000-7fff54324000 r-xp 00000000 fd:01 68006745                   /usr/lib64/gio/modules/libgiolibproxy.so
7fff54324000-7fff54523000 ---p 00002000 fd:01 68006745                   /usr/lib64/gio/modules/libgiolibproxy.so
7fff54523000-7fff54524000 r--p 00001000 fd:01 68006745                   /usr/lib64/gio/modules/libgiolibproxy.so
7fff54524000-7fff54525000 rw-p 00002000 fd:01 68006745                   /usr/lib64/gio/modules/libgiolibproxy.so
7fff54525000-7fff54528000 r-xp 00000000 fd:01 68006740                   /usr/lib64/gio/modules/libgiognomeproxy.so
7fff54528000-7fff54728000 ---p 00003000 fd:01 68006740                   /usr/lib64/gio/modules/libgiognomeproxy.so
7fff54728000-7fff54729000 r--p 00003000 fd:01 68006740                   /usr/lib64/gio/modules/libgiognomeproxy.so
7fff54729000-7fff5472a000 rw-p 00004000 fd:01 68006740                   /usr/lib64/gio/modules/libgiognomeproxy.so
7fff5472a000-7fff5473b000 r-xp 00000000 fd:01 104212180                  /usr/lib64/mozilla/plugins/libtotem-mully-plugin.so
7fff5473b000-7fff5493a000 ---p 00011000 fd:01 104212180                  /usr/lib64/mozilla/plugins/libtotem-mully-plugin.so
7fff5493a000-7fff5493b000 r--p 00010000 fd:01 104212180                  /usr/lib64/mozilla/plugins/libtotem-mully-plugin.so
7fff5493b000-7fff5493c000 rw-p 00011000 fd:01 104212180                  /usr/lib64/mozilla/plugins/libtotem-mully-plugin.so
7fff5493c000-7fff5493d000 ---p 00000000 00:00 0 
7fff5493d000-7fff5513d000 rw-p 00000000 00:00 0                          [stack:26464]
7fff5513d000-7fff5513e000 ---p 00000000 00:00 0 
7fff5513e000-7fff5593e000 rw-p 00000000 00:00 0                          [stack:26462]
7fff5593e000-7fff5593f000 ---p 00000000 00:00 0 
7fff5593f000-7fff5613f000 rw-p 00000000 00:00 0                          [stack:26461]
7fff5613f000-7fff56171000 r-xp 00000000 fd:01 104328044                  /usr/lib64/IcedTeaPlugin.so
7fff56171000-7fff56370000 ---p 00032000 fd:01 104328044                  /usr/lib64/IcedTeaPlugin.so
7fff56370000-7fff56371000 r--p 00031000 fd:01 104328044                  /usr/lib64/IcedTeaPlugin.so
7fff56371000-7fff56372000 rw-p 00032000 fd:01 104328044                  /usr/lib64/IcedTeaPlugin.so
7fff56372000-7fff56385000 r-xp 00000000 fd:01 104212181                  /usr/lib64/mozilla/plugins/libtotem-narrowspace-plugin.so
7fff56385000-7fff56585000 ---p 00013000 fd:01 104212181                  /usr/lib64/mozilla/plugins/libtotem-narrowspace-plugin.so
7fff56585000-7fff56586000 r--p 00013000 fd:01 104212181                  /usr/lib64/mozilla/plugins/libtotem-narrowspace-plugin.so
7fff56586000-7fff56587000 rw-p 00014000 fd:01 104212181                  /usr/lib64/mozilla/plugins/libtotem-narrowspace-plugin.so
7fff56587000-7fff565a0000 r-xp 00000000 fd:01 104212179                  /usr/lib64/mozilla/plugins/libtotem-gmp-plugin.so
7fff565a0000-7fff567a0000 ---p 00019000 fd:01 104212179                  /usr/lib64/mozilla/plugins/libtotem-gmp-plugin.so
7fff567a0000-7fff567a1000 r--p 00019000 fd:01 104212179                  /usr/lib64/mozilla/plugins/libtotem-gmp-plugin.so
7fff567a1000-7fff567a2000 rw-p 0001a000 fd:01 104212179                  /usr/lib64/mozilla/plugins/libtotem-gmp-plugin.so
7fff567a2000-7fff567ce000 r-xp 00000000 fd:01 100868529                  /usr/lib64/liblua-5.1.so
7fff567ce000-7fff569cd000 ---p 0002c000 fd:01 100868529                  /usr/lib64/liblua-5.1.so
7fff569cd000-7fff569cf000 r--p 0002b000 fd:01 100868529                  /usr/lib64/liblua-5.1.so
7fff569cf000-7fff569d0000 rw-p 0002d000 fd:01 100868529                  /usr/lib64/liblua-5.1.so
7fff569d0000-7fff569da000 r-xp 00000000 fd:01 102044085                  /usr/lib64/libquvi.so.7.0.1
7fff569da000-7fff56bda000 ---p 0000a000 fd:01 102044085                  /usr/lib64/libquvi.so.7.0.1
7fff56bda000-7fff56bdb000 r--p 0000a000 fd:01 102044085                  /usr/lib64/libquvi.so.7.0.1
7fff56bdb000-7fff56bdc000 rw-p 0000b000 fd:01 102044085                  /usr/lib64/libquvi.so.7.0.1
7fff56bdc000-7fff56be1000 r-xp 00000000 fd:01 102044092                  /usr/lib64/libtotem-plparser-mini.so.17.0.4
7fff56be1000-7fff56de0000 ---p 00005000 fd:01 102044092                  /usr/lib64/libtotem-plparser-mini.so.17.0.4
7fff56de0000-7fff56de1000 r--p 00004000 fd:01 102044092                  /usr/lib64/libtotem-plparser-mini.so.17.0.4
7fff56de1000-7fff56de2000 rw-p 00005000 fd:01 102044092                  /usr/lib64/libtotem-plparser-mini.so.17.0.4
7fff56de2000-7fff56dfa000 r-xp 00000000 fd:01 104212178                  /usr/lib64/mozilla/plugins/libtotem-cone-plugin.so
Program received signal SIGABRT, Aborted.
0x00007fffee182989 in raise () from /lib64/libc.so.6

Here is a backtrace :

0x00007fffee182989 in raise () from /lib64/libc.so.6
(gdb) bt
#0  0x00007fffee182989 in raise () from /lib64/libc.so.6
#1  0x00007fffee184098 in abort () from /lib64/libc.so.6
#2  0x00007fffee1c3197 in __libc_message () from /lib64/libc.so.6
#3  0x00007fffee1c8fc7 in malloc_printerr () from /lib64/libc.so.6
#4  0x00007fffee1cc4f5 in _int_malloc () from /lib64/libc.so.6
#5  0x00007fffee1cdf0a in calloc () from /lib64/libc.so.6
#6  0x00007fffe8caa74a in FcPatternObjectAddWithBinding () from /lib64/libfontconfig.so.1
#7  0x00007fffe8cab565 in FcPatternBuild () from /lib64/libfontconfig.so.1
#8  0x00007fffe8ed47d7 in pango_fc_font_map_load_fontset () from /lib64/libpangoft2-1.0.so.0
#9  0x00007fffd93c89c3 in pk_pango_fc_font_map_load_fontset () from /usr/lib64/gtk-3.0/modules/libpk-gtk-module.so
#10 0x00007fffe8ed32fd in pango_fc_font_map_load_font () from /lib64/libpangoft2-1.0.so.0
#11 0x00007fffef78074f in _pango_cairo_font_private_get_hex_box_info () from /lib64/libpangocairo-1.0.so.0
#12 0x00007fffef781408 in _pango_cairo_font_private_get_glyph_extents () from /lib64/libpangocairo-1.0.so.0
#13 0x00007fffe8ed8eb4 in pango_fc_hb_font_get_glyph_advance () from /lib64/libpangoft2-1.0.so.0
#14 0x00007fffeb2b9f98 in _hb_ot_shape () from /lib64/libharfbuzz.so.0
#15 0x00007fffeb29f202 in hb_shape_plan_execute () from /lib64/libharfbuzz.so.0
#16 0x00007fffeb29e841 in hb_shape_full () from /lib64/libharfbuzz.so.0
#17 0x00007fffe8ed931c in basic_engine_shape () from /lib64/libpangoft2-1.0.so.0
#18 0x00007fffef12f0db in pango_shape_full () from /lib64/libpango-1.0.so.0
#19 0x00007fffef112266 in shape_run () from /lib64/libpango-1.0.so.0
#20 0x00007fffef11257c in process_item () from /lib64/libpango-1.0.so.0
#21 0x00007fffef1256e2 in pango_layout_check_lines () from /lib64/libpango-1.0.so.0
#22 0x00007fffef1270f8 in pango_layout_get_extents_internal () from /lib64/libpango-1.0.so.0
#23 0x00007fffef127526 in pango_layout_get_pixel_extents () from /lib64/libpango-1.0.so.0
#24 0x00007fffef127566 in pango_layout_get_pixel_size () from /lib64/libpango-1.0.so.0
#25 0x00007ffff7850a84 in ect_height () from /usr/lib64/evolution/3.8/libeutil.so
#26 0x00007ffff78d1f14 in eti_row_height_real () from /usr/lib64/evolution/3.8/libeutil.so
#27 0x00007ffff78d1fd2 in eti_row_height () from /usr/lib64/evolution/3.8/libeutil.so
#28 0x00007ffff78d2a67 in eti_reflow () from /usr/lib64/evolution/3.8/libeutil.so
#29 0x00007ffff7843e08 in e_canvas_item_invoke_reflow.constprop.0 () from /usr/lib64/evolution/3.8/libeutil.so
#30 0x00007ffff7843e6b in e_canvas_item_invoke_reflow.constprop.0 () from /usr/lib64/evolution/3.8/libeutil.so
#31 0x00007ffff7843e6b in e_canvas_item_invoke_reflow.constprop.0 () from /usr/lib64/evolution/3.8/libeutil.so
#32 0x00007ffff7843e6b in e_canvas_item_invoke_reflow.constprop.0 () from /usr/lib64/evolution/3.8/libeutil.so
#33 0x00007ffff784429d in idle_handler () from /usr/lib64/evolution/3.8/libeutil.so
#34 0x00007fffee556ac6 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#35 0x00007fffee556e48 in g_main_context_iterate.isra.22 () from /lib64/libglib-2.0.so.0
#36 0x00007fffee55725a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#37 0x00007ffff09b8490 in gtk_dialog_run () from /lib64/libgtk-3.so.0
#38 0x00007ffff78bfa44 in config_button_fields () from /usr/lib64/evolution/3.8/libeutil.so
#39 0x00007fffee846d27 in _g_closure_invoke_va () from /lib64/libgobject-2.0.so.0
#40 0x00007fffee85f58d in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#41 0x00007fffee86023f in g_signal_emit () from /lib64/libgobject-2.0.so.0
#42 0x00007ffff095d248 in gtk_real_button_released () from /lib64/libgtk-3.so.0
#43 0x00007fffee846af8 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#44 0x00007fffee8579d7 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#45 0x00007fffee85ff8a in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#46 0x00007fffee86023f in g_signal_emit () from /lib64/libgobject-2.0.so.0
#47 0x00007ffff095bd51 in gtk_button_button_release () from /lib64/libgtk-3.so.0
#48 0x00007ffff0a2d05e in _gtk_marshal_BOOLEAN__BOXEDv () from /lib64/libgtk-3.so.0
#49 0x00007fffee846c9f in _g_closure_invoke_va () from /lib64/libgobject-2.0.so.0
#50 0x00007fffee85f58d in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#51 0x00007fffee86023f in g_signal_emit () from /lib64/libgobject-2.0.so.0
#52 0x00007ffff0b5624c in gtk_widget_event_internal () from /lib64/libgtk-3.so.0
#53 0x00007ffff0a2b2fc in propagate_event () from /lib64/libgtk-3.so.0
#54 0x00007ffff0a2cc35 in gtk_main_do_event () from /lib64/libgtk-3.so.0
#55 0x00007fffefbf7f32 in gdk_event_source_dispatch () from /lib64/libgdk-3.so.0
#56 0x00007fffee556ac6 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#57 0x00007fffee556e48 in g_main_context_iterate.isra.22 () from /lib64/libglib-2.0.so.0
#58 0x00007fffee55725a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#59 0x00007ffff09b8490 in gtk_dialog_run () from /lib64/libgtk-3.so.0
#60 0x00007ffff7bcc9fc in action_gal_define_views_cb () from /usr/lib64/evolution/3.8/libeshell.so
#61 0x00007fffee846af8 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#62 0x00007fffee8581ad in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#63 0x00007fffee85ff8a in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#64 0x00007fffee86023f in g_signal_emit () from /lib64/libgobject-2.0.so.0
#65 0x00007ffff0935200 in _gtk_action_emit_activate () from /lib64/libgtk-3.so.0
#66 0x00007fffee846af8 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#67 0x00007fffee8579d7 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#68 0x00007fffee85ff8a in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#69 0x00007fffee86023f in g_signal_emit () from /lib64/libgobject-2.0.so.0
#70 0x00007ffff0b5504c in gtk_widget_activate () from /lib64/libgtk-3.so.0
#71 0x00007ffff0a48e0e in gtk_menu_shell_activate_item () from /lib64/libgtk-3.so.0
#72 0x00007ffff0a4918f in gtk_menu_shell_button_release () from /lib64/libgtk-3.so.0
#73 0x00007ffff0a2d05e in _gtk_marshal_BOOLEAN__BOXEDv () from /lib64/libgtk-3.so.0
#74 0x00007fffee846d27 in _g_closure_invoke_va () from /lib64/libgobject-2.0.so.0
#75 0x00007fffee85f58d in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#76 0x00007fffee86023f in g_signal_emit () from /lib64/libgobject-2.0.so.0
#77 0x00007ffff0b5624c in gtk_widget_event_internal () from /lib64/libgtk-3.so.0
#78 0x00007ffff0a2b2fc in propagate_event () from /lib64/libgtk-3.so.0
#79 0x00007ffff0a2cc35 in gtk_main_do_event () from /lib64/libgtk-3.so.0
#80 0x00007fffefbf7f32 in gdk_event_source_dispatch () from /lib64/libgdk-3.so.0
#81 0x00007fffee556ac6 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#82 0x00007fffee556e48 in g_main_context_iterate.isra.22 () from /lib64/libglib-2.0.so.0
#83 0x00007fffee55725a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#84 0x00007ffff0a2c0ed in gtk_main () from /lib64/libgtk-3.so.0
#85 0x0000000000403933 in main ()
(gdb)

Comment 2 Milan Crha 2014-07-14 12:54:57 UTC
Created attachment 917785 [details]
evo patch

for evolution;

This fixes the crash.

Comment 6 errata-xmlrpc 2015-03-05 06:37:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0305.html


Note You need to log in before you can comment on or make changes to this bug.